Loading...
Searching...
No Matches
_XMLTreeInfo Struct Reference

## Data Fields

char * | tag
char ** | attributes
char * | content
size_t | offset
XMLTreeInfo * | parent
XMLTreeInfo * | next
XMLTreeInfo * | sibling
XMLTreeInfo * | ordered
XMLTreeInfo * | child
MagickBooleanType | debug
SemaphoreInfo * | semaphore
size_t | signature

## Detailed Description

Definition at line 77 of file xml-tree.c.

## Field Documentation

## attributes

char ** _XMLTreeInfo::attributes

Definition at line 81 of file xml-tree.c.

## child

XMLTreeInfo * _XMLTreeInfo::child

Definition at line 92 of file xml-tree.c.

## content

char * _XMLTreeInfo::content

Definition at line 82 of file xml-tree.c.

## debug

MagickBooleanType _XMLTreeInfo::debug

Definition at line 95 of file xml-tree.c.

## next

XMLTreeInfo * _XMLTreeInfo::next

Definition at line 89 of file xml-tree.c.

## offset

size_t _XMLTreeInfo::offset

Definition at line 85 of file xml-tree.c.

## ordered

XMLTreeInfo * _XMLTreeInfo::ordered

Definition at line 91 of file xml-tree.c.

## parent

XMLTreeInfo* _XMLTreeInfo::parent

Definition at line 88 of file xml-tree.c.

## semaphore

SemaphoreInfo* _XMLTreeInfo::semaphore

Definition at line 98 of file xml-tree.c.

## sibling

XMLTreeInfo * _XMLTreeInfo::sibling

Definition at line 90 of file xml-tree.c.

## signature

size_t _XMLTreeInfo::signature

Definition at line 101 of file xml-tree.c.

## tag

char* _XMLTreeInfo::tag

Definition at line 80 of file xml-tree.c.

The documentation for this struct was generated from the following file:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/MagickCore/xml-tree.c